### Class

# GtkSource SearchSettings

#### Description [src]

    class GtkSource.SearchSettings : GObject.Object
    {
      /* No available fields */
    }

Search settings.

A `GtkSourceSearchSettings` object represents the settings of a search. The search settings can be associated with one or several `GtkSourceSearchContext`s.

#### Ancestors

- GObject

#### Constructors

###### gtk_source_search_settings_new

Creates a new search settings object.

#### Instance methods

###### gtk_source_search_settings_get_at_word_boundaries

No description available.

###### gtk_source_search_settings_get_case_sensitive

No description available.

###### gtk_source_search_settings_get_regex_enabled

No description available.

###### gtk_source_search_settings_get_search_text

Gets the text to search.

###### gtk_source_search_settings_get_visible_only

No description available.

since: 5.12

###### gtk_source_search_settings_get_wrap_around

No description available.

###### gtk_source_search_settings_set_at_word_boundaries

Change whether the search is done at word boundaries.

###### gtk_source_search_settings_set_case_sensitive

Enables or disables the case sensitivity for the search.

###### gtk_source_search_settings_set_regex_enabled

Enables or disables whether to search by regular expressions.

###### gtk_source_search_settings_set_search_text

Sets the text to search.

###### gtk_source_search_settings_set_visible_only

Enables or disables whether to exclude invisible text from the search.

since: 5.12

###### gtk_source_search_settings_set_wrap_around

Enables or disables the wrap around search.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GtkSource.SearchSettings:at-word-boundaries

If `TRUE`, a search match must start and end a word. The match can span multiple words.

###### GtkSource.SearchSettings:case-sensitive

Whether the search is case sensitive.

###### GtkSource.SearchSettings:regex-enabled

Search by regular expressions with `GtkSourceSearchSettings:search-text` as the pattern.

###### GtkSource.SearchSettings:search-text

A search string, or `NULL` if the search is disabled.

###### GtkSource.SearchSettings:visible-only

Exclude invisible text from the search. A search match may have invisible text interspersed.

since: 5.12

###### GtkSource.SearchSettings:wrap-around

For a forward search, continue at the beginning of the buffer if no search occurrence is found. For a backward search, continue at the end of the buffer.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceSearchSettingsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.